<!-- 搜索表单 -->
<template>
    <ele-card :body-style="{ paddingBottom: '8px' }">
        <ProSearch
            :items="formItems"
            ref="searchRef"
            @search="search"
            :initKeys="initKeys"
            :offset="1"
        />
    </ele-card>
</template>

<script setup>
    import { reactive, ref, defineEmits } from 'vue';
    import ProSearch from '@/components/CommonPage/ProSearch2.vue';

    let { proxy } = getCurrentInstance();
    const emit = defineEmits(['search']);

    const godownList = ref([]);
    const formItems = computed(() => {
        return [
            {
                type: 'input',
                label: '录入员',
                prop: 'sysUserName'
            },
            {
                type: 'daterange',
                label: ' ',
                prop: 'time',
                props: {
                    format: 'YYYY-MM-DD',
                    valueFormat: 'YYYY-MM-DD',
                    onChange: (value) => {
                        searchRef.value?.setData({
                            startDate: value ? value[0] : '',
                            endDate: value ? value[1] : ''
                        });
                    }
                },
                colProps: {
                    span: 6
                }
            }
        ];
    });

    const initKeys = reactive({
        startDate: '',
        endDate: '',
        sysUserName: ''
    });
    const searchRef = ref(null);
    /** 搜索 */
    const search = (data) => {
        emit('search', { ...data });
    };
</script>
